%define	desktop_vendor planetccrma

Summary: Midi Arpegiator
Name: qmidiarp
Version: 0.0.2
Release: 4%{?dist}
URL: http://alsamodular.sourceforge.net/
Source0: http://dl.sf.net/alsamodular/qmidiarp-%{version}.tar.bz2
Source1: qmidiarp.desktop
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils alsa-lib-devel glibc-devel
%if 0%{?fedora} > 8
BuildRequires: qt3-devel
%else
BuildRequires: qt-devel
%endif

%description
QMidiArp is an arpeggiator for ALSA. It can have any number of arpeggiator
tabs. Each of these tabs defines an independent arpeggiator. Since all
arpeggiators run on the same sequencer queue, they are automatically in sync
with each other.

%prep
%setup -q

%build
%{__perl} -p -i -e "s,/usr/lib/qt3,${QTDIR},g" Makefile
%{__perl} -p -i -e "s,-lqt-mt,-lstdc++ -lqt-mt -lqassistantclient,g" Makefile

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 qmidiarp %{buildroot}%{_bindir}

BASE="Application AudioVideo Audio"
XTRA="X-MIDI Midi"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README demo*.qma 
%{_bindir}/qmidiarp
%{_datadir}/applications/%{desktop_vendor}-qmidiarp.desktop

%changelog
* Wed May 19 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- add -lstdc++ for fc13/gcc4.4.4

* Tue Oct  9 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-4
- updated desktop categories

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-3
- spec file tweaks

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-2
- added Planet CCRMA categories to desktop file

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- rebuilt on fc5, add qt name

* Thu Dec 30 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Mon Sep 28 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added hack to use qt33 on FC1 and below

* Fri Sep 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.2-1
- initial build
